<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace core;

if(!defined('RS-MINI')) die();

/*
 * application v 1.0
 * 
 * Класс стартует систему
 *
 */

class application
{

    /*
     * объект дома
     *
     * @var         - object
     * @access      - private
     */
    
    private static $dom;
    
    /*
     * объект с данными глобального массива
     *
     * @var         - object
     * @access      - private
     */
    
    private static $request;

    /*
     * главный метод. запуск системы
     * 
     * @access  - public
     * 
     */
     
    public static function run()
    {
        // поднимаем некоторые классы ядра
        // объект по работе с глобальными переменнами
        self::$request    = new \core\request();
        // объект прослойка между контроллерами и вьюшкой
        self::$dom        = new \core\dom();
        
        // тест класса по работе с глобальными переменнами.
        // переходим вот по такому урлу http://mini.test.ru/?name=<p>Алексей</p>
        ?><xmp><?
        var_dump(self::$request->getHttpGet('name')->toString());
        ?></xmp><?
    }
}
